Name:           marlin
Version:        0.7
Release:        0.fdr.1.3
Summary:        A sample editor for GNOME.

Group:          Applications/Multimedia
License:        GPL
URL:            http://marlin.sourceforge.net/
Source:         http://download.sourceforge.net/marlin/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gcc-c++
BuildRequires:  gettext
BuildRequires:  intltool
BuildRequires:  scrollkeeper
BuildRequires:  e2fsprogs-devel
BuildRequires:  libgnome-devel
BuildRequires:  gtk2-devel
BuildRequires:  libgnomeui-devel
BuildRequires:  gstreamer-devel
BuildRequires:  gstreamer-plugins-devel
BuildRequires:  libmusicbrainz-devel
BuildRequires:	gnome-media
BuildRequires:	desktop-file-utils

%description
Marlin is a sample editor for Gnome 2. It uses GStreamer for file operations
and for recording and playback, meaning it can handle a great number of
formats and work with most sound systems.

* Can load from a large number of media formats (.mp3, .ogg, .wav, .au,
  .flac, .mpg, .avi...)
* Can save to many formats (.mp3, .wav, .au, .ogg, .flac...)
* Can handle large files with no problems
* Handles cut, copy, paste, and mix operations
* Fully Gnome 2 HIG compliant
* Can record from a variety of sources (ALSA, OSS, esd, MAS, arts)
* Playback
* Can extract audio from CDs

%package devel
Summary:        Development files for developing against libmarlin.
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
marlin-devel contains the files necessary to build packages that use the
marlin library.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=$RPM_BUILD_ROOT

desktop-file-install --vendor fedora.us \
    --dir $RPM_BUILD_ROOT%{_datadir}/applications \
    --add-category X-Fedora                       \
    --add-category Application                  \
    --add-category AudioVideo                   \
    %{name}.desktop
rm $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

%find_lang %{name}

find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'

%clean
rm -rf $RPM_BUILD_ROOT

# ldconfig's for packages that install %{_libdir}/*.so.*
# -> Don't forget Requires(post,postun): /sbin/ldconfig
# ...and install-info's for ones that install %{_infodir}/*.info*
# -> Don't forget Requires(post,preun): /sbin/install-info

%post
/sbin/ldconfig
/sbin/install-info %{_infodir}/%{name}.info %{_infodir}/dir 2>/dev/null || :
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
  %{_sysconfdir}/gconf/schemas/%{name}.schemas >/dev/null

%preun
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-uninstall-rule \
  %{_sysconfdir}/gconf/schemas/%{name}.schemas >/dev/null || :

%postun
/sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_bindir}/marlin
%{_libdir}/libmarlin.so.*
%{_libdir}/libmarlinx.so.*
%{_datadir}/%{name}
%{_datadir}/pixmaps/%{name}
%{_datadir}/gnome/help/%{name}
%{_datadir}/omf/%{name}
%{_datadir}/applications/fedora.us-%{name}.desktop
%{_sysconfdir}/gconf/schemas/%{name}.schemas

%files devel
%defattr(-,root,root,-)
%{_libdir}/libmarlin.so
%{_libdir}/libmarlinx.so
%{_libdir}/libmarlin.a
%{_libdir}/libmarlinx.a
%{_includedir}/libmarlin

%changelog
* Thu Oct 07 2004 Thomas Vander Stichele <thomas at apestaart dot org>
- 0.7-0.fdr.1: New upstream release

* Thu Aug 05 2004 Thomas Vander Stichele <thomas at apestaart dot org>
- 0.4-0.fdr.1: Initial package.
